/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CcidMetadata;

import java.math.BigDecimal;

import javax.annotation.Generated;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class CcidMetadataRecord extends UpdatableRecordImpl<CcidMetadataRecord> {

    private static final long serialVersionUID = 483317207;

    /**
     * Setter for <code>CCID_METADATA.ID_CCID</code>.
     */
    public void setIdCcid(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>CCID_METADATA.ID_CCID</code>.
     */
    public String getIdCcid() {
        return (String) get(0);
    }

    /**
     * Setter for <code>CCID_METADATA.ID_DSR</code>.
     */
    public void setIdDsr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>CCID_METADATA.ID_DSR</code>.
     */
    public String getIdDsr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>CCID_METADATA.TOTAL_VALUE</code>.
     */
    public void setTotalValue(BigDecimal value) {
        set(2, value);
    }

    /**
     * Getter for <code>CCID_METADATA.TOTAL_VALUE</code>.
     */
    public BigDecimal getTotalValue() {
        return (BigDecimal) get(2);
    }

    /**
     * Setter for <code>CCID_METADATA.ID_CCID_METADATA</code>.
     */
    public void setIdCcidMetadata(Long value) {
        set(3, value);
    }

    /**
     * Getter for <code>CCID_METADATA.ID_CCID_METADATA</code>.
     */
    public Long getIdCcidMetadata() {
        return (Long) get(3);
    }

    /**
     * Setter for <code>CCID_METADATA.CURRENCY</code>.
     */
    public void setCurrency(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>CCID_METADATA.CURRENCY</code>.
     */
    public String getCurrency() {
        return (String) get(4);
    }

    /**
     * Setter for <code>CCID_METADATA.CCID_VERSION</code>.
     */
    public void setCcidVersion(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>CCID_METADATA.CCID_VERSION</code>.
     */
    public String getCcidVersion() {
        return (String) get(5);
    }

    /**
     * Setter for <code>CCID_METADATA.CCID_ENCODED</code>.
     */
    public void setCcidEncoded(Byte value) {
        set(6, value);
    }

    /**
     * Getter for <code>CCID_METADATA.CCID_ENCODED</code>.
     */
    public Byte getCcidEncoded() {
        return (Byte) get(6);
    }

    /**
     * Setter for <code>CCID_METADATA.CCID_ENCODED_PROVISIONAL</code>.
     */
    public void setCcidEncodedProvisional(Byte value) {
        set(7, value);
    }

    /**
     * Getter for <code>CCID_METADATA.CCID_ENCODED_PROVISIONAL</code>.
     */
    public Byte getCcidEncodedProvisional() {
        return (Byte) get(7);
    }

    /**
     * Setter for <code>CCID_METADATA.CCID_NOT_ENCODED</code>.
     */
    public void setCcidNotEncoded(Byte value) {
        set(8, value);
    }

    /**
     * Getter for <code>CCID_METADATA.CCID_NOT_ENCODED</code>.
     */
    public Byte getCcidNotEncoded() {
        return (Byte) get(8);
    }

    /**
     * Setter for <code>CCID_METADATA.INVOICE_STATUS</code>.
     */
    public void setInvoiceStatus(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>CCID_METADATA.INVOICE_STATUS</code>.
     */
    public String getInvoiceStatus() {
        return (String) get(9);
    }

    /**
     * Setter for <code>CCID_METADATA.INVOICE_ITEM</code>.
     */
    public void setInvoiceItem(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>CCID_METADATA.INVOICE_ITEM</code>.
     */
    public Integer getInvoiceItem() {
        return (Integer) get(10);
    }

    /**
     * Setter for <code>CCID_METADATA.VALORE_FATTURABILE</code>.
     */
    public void setValoreFatturabile(BigDecimal value) {
        set(11, value);
    }

    /**
     * Getter for <code>CCID_METADATA.VALORE_FATTURABILE</code>.
     */
    public BigDecimal getValoreFatturabile() {
        return (BigDecimal) get(11);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_USE_QUANTITY</code>.
     */
    public void setSumUseQuantity(Long value) {
        set(12, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_USE_QUANTITY</code>.
     */
    public Long getSumUseQuantity() {
        return (Long) get(12);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_USE_QUANTITY_MATCHED</code>.
     */
    public void setSumUseQuantityMatched(Long value) {
        set(13, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_USE_QUANTITY_MATCHED</code>.
     */
    public Long getSumUseQuantityMatched() {
        return (Long) get(13);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_USE_QUANTITY_UNMATCHED</code>.
     */
    public void setSumUseQuantityUnmatched(Long value) {
        set(14, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_USE_QUANTITY_UNMATCHED</code>.
     */
    public Long getSumUseQuantityUnmatched() {
        return (Long) get(14);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_AMOUNT_LICENSOR</code>.
     */
    public void setSumAmountLicensor(BigDecimal value) {
        set(15, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_AMOUNT_LICENSOR</code>.
     */
    public BigDecimal getSumAmountLicensor() {
        return (BigDecimal) get(15);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_AMOUNT_PAI</code>.
     */
    public void setSumAmountPai(BigDecimal value) {
        set(16, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_AMOUNT_PAI</code>.
     */
    public BigDecimal getSumAmountPai() {
        return (BigDecimal) get(16);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_AMOUNT_UNMATCHED</code>.
     */
    public void setSumAmountUnmatched(BigDecimal value) {
        set(17, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_AMOUNT_UNMATCHED</code>.
     */
    public BigDecimal getSumAmountUnmatched() {
        return (BigDecimal) get(17);
    }

    /**
     * Setter for <code>CCID_METADATA.SUM_USE_QUANTITY_SIAE</code>.
     */
    public void setSumUseQuantitySiae(BigDecimal value) {
        set(18, value);
    }

    /**
     * Getter for <code>CCID_METADATA.SUM_USE_QUANTITY_SIAE</code>.
     */
    public BigDecimal getSumUseQuantitySiae() {
        return (BigDecimal) get(18);
    }

    /**
     * Setter for <code>CCID_METADATA.VALORE_RESIDUO</code>.
     */
    public void setValoreResiduo(BigDecimal value) {
        set(19, value);
    }

    /**
     * Getter for <code>CCID_METADATA.VALORE_RESIDUO</code>.
     */
    public BigDecimal getValoreResiduo() {
        return (BigDecimal) get(19);
    }

    /**
     * Setter for <code>CCID_METADATA.QUOTA_FATTURA</code>.
     */
    public void setQuotaFattura(BigDecimal value) {
        set(20, value);
    }

    /**
     * Getter for <code>CCID_METADATA.QUOTA_FATTURA</code>.
     */
    public BigDecimal getQuotaFattura() {
        return (BigDecimal) get(20);
    }

    /**
     * Setter for <code>CCID_METADATA.IDENTIFICATO_VALORE_PRICING</code>.
     */
    public void setIdentificatoValorePricing(BigDecimal value) {
        set(21, value);
    }

    /**
     * Getter for <code>CCID_METADATA.IDENTIFICATO_VALORE_PRICING</code>.
     */
    public BigDecimal getIdentificatoValorePricing() {
        return (BigDecimal) get(21);
    }

    /**
     * Setter for <code>CCID_METADATA.TOTAL_VALUE_CCID_CURRENCY</code>.
     */
    public void setTotalValueCcidCurrency(BigDecimal value) {
        set(22, value);
    }

    /**
     * Getter for <code>CCID_METADATA.TOTAL_VALUE_CCID_CURRENCY</code>.
     */
    public BigDecimal getTotalValueCcidCurrency() {
        return (BigDecimal) get(22);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached CcidMetadataRecord
     */
    public CcidMetadataRecord() {
        super(CcidMetadata.CCID_METADATA);
    }

    /**
     * Create a detached, initialised CcidMetadataRecord
     */
    public CcidMetadataRecord(String idCcid, String idDsr, BigDecimal totalValue, Long idCcidMetadata, String currency, String ccidVersion, Byte ccidEncoded, Byte ccidEncodedProvisional, Byte ccidNotEncoded, String invoiceStatus, Integer invoiceItem, BigDecimal valoreFatturabile, Long sumUseQuantity, Long sumUseQuantityMatched, Long sumUseQuantityUnmatched, BigDecimal sumAmountLicensor, BigDecimal sumAmountPai, BigDecimal sumAmountUnmatched, BigDecimal sumUseQuantitySiae, BigDecimal valoreResiduo, BigDecimal quotaFattura, BigDecimal identificatoValorePricing, BigDecimal totalValueCcidCurrency) {
        super(CcidMetadata.CCID_METADATA);

        set(0, idCcid);
        set(1, idDsr);
        set(2, totalValue);
        set(3, idCcidMetadata);
        set(4, currency);
        set(5, ccidVersion);
        set(6, ccidEncoded);
        set(7, ccidEncodedProvisional);
        set(8, ccidNotEncoded);
        set(9, invoiceStatus);
        set(10, invoiceItem);
        set(11, valoreFatturabile);
        set(12, sumUseQuantity);
        set(13, sumUseQuantityMatched);
        set(14, sumUseQuantityUnmatched);
        set(15, sumAmountLicensor);
        set(16, sumAmountPai);
        set(17, sumAmountUnmatched);
        set(18, sumUseQuantitySiae);
        set(19, valoreResiduo);
        set(20, quotaFattura);
        set(21, identificatoValorePricing);
        set(22, totalValueCcidCurrency);
    }
}
